#include "PhysicalDevice.h"

// Возвращает индекс первой попавшейся очереди, соответствующей требуемым флагам
uint32_t PhysicalDevice::pickQueueFamily(VkQueueFlags flags)
{
    // Цикл по параметрам семейств очередей
    for (uint32_t index = 0; index < queueFamilyProperties.size(); index++) 
    {
        // Если очередь соответствует требованиям по возможностям очереди
        if (queueFamilyProperties[index].queueFlags & flags) 
        {
            // возвращаем её индекс
            return index;
        }
    }
}